### Enumeration

# Qmi LocSatelliteStatus

since: 1.22

#### Declaration

    enum Qmi.LocSatelliteStatus

#### Description [src]

Whether the engine searches or tracks a satellite.

Available since: 1.22

#### Members

`QMI_LOC_SATELLITE_STATUS_IDLE`

  Idle.

  - Value: `0`
  - Available since: 1.22
`QMI_LOC_SATELLITE_STATUS_SEARCHING`

  Searching.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_SATELLITE_STATUS_TRACKING`

  Tracking.

  - Value: `2`
  - Available since: 1.22

#### Type functions

###### qmi_loc_satellite_status_get_string

Gets the nickname string for the `QmiLocSatelliteStatus` specified at `val`.

since: 1.22